Subject: Re: bug#52097: 28.0.50; Regression - posn-at-point returns wrong result if overlay is present

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 Nov 2021 13:40:47 +0200

> Cc: [email-masked]
> From: Daniel Mendler <[email-masked]>
> Date: Thu, 25 Nov 2021 12:23:02 +0100
> 
> >> 1. emacs -Q
> >> 2. Create new buffer bug.el
> >> 3. Activate flymake-mode (for the overlay)
> >> 4. Enter "  invalid-ident" (note the spaces at the beginning)
> >> 5. Wait until the flymake overlay appears
> > 
> > The overlay doesn't seem to appear for me, for some reason.
> 
> I am using emacs -Q.

So did I.

> I just recompiled the current emacs-28 branch.
> After some time flymake should underline the invalid identifier.

What can I say?  I didn't see it.

> > Could you please post a recipe that doesn't require Flymake?
> Try this command:

Thanks, this will do.